Bug 379231 - pcscd init script searches for /etc/sysconfig/pscsd's existence
pcscd init script searches for /etc/sysconfig/pscsd's existence
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pcsc-lite (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Bob Relyea
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 19:50 EST by Doncho N. Gunchev
Modified: 2008-02-24 18:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-24 18:12:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2007-11-12 19:50:36 EST
Description of problem:
The init script looks for /etc/sysconfig/pscsd (pscsd vs pcscd) but later 
tries to source pcscd.

Version-Release number of selected component (if applicable):
pcsc-lite-1.3.3-1.fc8

How reproducible:
always

Steps to Reproduce:
1. install pcscd
2. grep pscsd /etc/rc.d/init.d/pcscd

Actual results:
if [ -f /etc/sysconfig/pscsd ] ; then

Expected results:
<empty>
Comment 1 Doncho N. Gunchev 2007-12-06 15:17:51 EST
Ping, this is simple to fix typo... I need 
PCSCD_OPTIONS='--force-reader-polling' there.

the change is from
if [ -f /etc/sysconfig/pscsd ] ; then
to
if [ -f /etc/sysconfig/pcscd ] ; then

There's no need to mv the file on update, only the check is wrong and to get 
the current version working one needs empty 'pscsd' and the actual options 
in 'pcscd' (maybe remove pscsd?).
Comment 2 Doncho N. Gunchev 2008-02-24 18:12:19 EST
Fixed in pcsc-lite-1.4.4-3.fc9.i386 at least.

Note You need to log in before you can comment on or make changes to this bug.